## herisvm 0.7.0

=== Makefile ===
PROJECTNAME =	herisvm
SUBPRJ      =	doc scripts:tests

MKC_REQD    =	0.28.0

NODEPS      =	*:test-tests

test : all-tests test-tests
	@:

.include <mkc.mk>

=== debian/changelog ===
herisvm (0.7.0-1) unstable; urgency=medium

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 29 Feb 2016 17:52:20 +0100

=== debian/control ===
Source: herisvm
Section: science
Priority: extra
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
    debhelper (>= 9),
    mk-configure,
    ruby,
    bash,
    gawk
Standards-Version: 3.9.6
Homepage: http://github.com/cheusov/herisvm

Package: herisvm
Architecture: all
Depends:
    bash,
    ruby,
    gawk,
    ${misc:Depends},
    ${shlibs:Depends}
Description: machine learning tools for classification algorithms
 herisvm project is a collection of simple tools implementing
 evaluation algorithms for classification (machine learning).
 In particular, heri-eval implements N-fold cross-validation
 where training and testing is run in parallel.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem mkcmake

## herisvm 0.8.1

=== debian/changelog ===
herisvm (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Ignore test failures (Closes: #892326).
  * Set Vcs-* to point to dgit.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 27 Mar 2018 09:02:56 +0200

## herisvm 0.8.2

=== scripts/Makefile ===
SCRIPTS =	heri-eval heri-split heri-stat heri-stat-addons
MAN     =	heri-eval.1 heri-split.1 heri-stat.1

CLEANFILES =	${MAN}

.include <mkc.mk>

=== debian/changelog ===
herisvm (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Jan 2019 13:20:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: herisvm
 Section: science
 Priority: extra
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
     debhelper (>= 9),
     mk-configure,
@@ -10,6 +10,8 @@
     gawk
 Standards-Version: 3.9.6
 Homepage: http://github.com/cheusov/herisvm
+Vcs-Git: https://git.dgit.debian.org/herisvm
+Vcs-Browser: https://browse.dgit.debian.org/herisvm.git/
 
 Package: herisvm
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem mkcmake

override_dh_auto_test:
	dh_auto_test --buildsystem mkcmake || true

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/(?:herisvm-)(\d.*)$/herisvm-$1/ https://github.com/cheusov/herisvm/releases /cheusov/herisvm/archive/(?:herisvm-)?(\d.*).tar.gz

## herisvm 0.9.0

=== doc/Makefile ===
FILES    =	LICENSE NEWS ../README TODO
FILESDIR =	${DOCDIR}

DOCDIR ?=	${DATADIR}/doc/herisvm

.include <mkc.subprj.mk>

=== scripts/Makefile ===
SCRIPTS =	heri-eval heri-split heri-stat heri-stat-addons
MAN     =	heri-eval.1 heri-split.1 heri-stat.1 heri-stat-addons.1

CLEANFILES =	${MAN}

.include <mkc.mk>

=== tests/Makefile ===
test:
	@echo 'running tests...'; \
	unset MAKEFLAGS; \
	set -e; \
	OBJDIR=${OBJDIR_scripts}; export OBJDIR; \
	env PATH="$OBJDIR_scripts:$SCRDIR_scripts:$$PATH" ${SH} ./test.sh

.include <mkc.mk>

=== debian/changelog ===
herisvm (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Changed Vcs field to repository in Salsa.
  * debian/copyright:
    - Added Tiago Henrique Vercosa de Lima and year of contribution.
    - Added years of contribution to Andrew Shadura.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 25 Jan 2021 17:57:18 -0300

herisvm (0.9.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Added debian/upstream/metadata.
  * Added debian/salsa-ci.yml.
  * Ignore test failures. (Closes: #892326)
  * debian/control:
    - Bumped Standards-Version to 4.5.1.
    - Removed Vcs unused fields.
    - Added homepage field.
    - Added in depends field liblinear-tools and libsvm-tools to
      resolve commands not found.
  * debian/copyright:
    - Added myself.
    - Update year author Aleksey Cheusov.
  * debian/watch:
    - Fixed problem to import tarball.
    - Bumped version of 3 to 4.
  * debian/rules:
    - Do not ship extra LICENSE files.
  * debian/tests/control:
    - Fixed command and added archive to test. (Closes: #970955)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Thu, 21 Jan 2021 10:21:31 -0300

herisvm (0.8.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Using a secure URI in Homepage field.
  * debian/copyright: using a secure URI in Format field.
  * debian/tests/control: created to perform trivial CI tests.

 -- Tiago Henrique Vercosa de Lima <tiago.vercosa@gmail.com>  Tue, 19 May 2020 08:38:23 -0300

herisvm (0.8.2-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #947727)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.

 -- Tiago Henrique Vercosa de Lima <tiago.vercosa@gmail.com>  Mon, 11 May 2020 00:28:40 -0300

=== debian/control ===
Source: herisvm
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
    debhelper-compat (= 13),
    mk-configure,
    ruby:any,
    gawk
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/cheusov/herisvm
Vcs-Browser: https://salsa.debian.org/debian/herisvm
Vcs-Git: https://salsa.debian.org/debian/herisvm.git

Package: herisvm
Architecture: all
Depends:
    ruby:any,
    gawk,
    liblinear-tools,
    libsvm-tools,
    ${misc:Depends},
    ${shlibs:Depends}
Description: machine learning tools for classification algorithms
 herisvm project is a collection of simple tools implementing
 evaluation algorithms for classification (machine learning).
 In particular, heri-eval implements N-fold cross-validation
 where training and testing is run in parallel.

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 override_dh_auto_test:
 	dh_auto_test --buildsystem mkcmake || true
+
+execute_after_dh_auto_install:
+	# Do not ship extra LICENSE files
+	find $(CURDIR)/debian/ -type f -name LICENSE -delete

=== debian/tests/control ===
Test-Command: heri-eval -e debian/tests/matrix_test2.libsvm debian/tests/matrix_test2.libsvm -- -s 0
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/herisvm-$1\.tar\.gz/ \
  https://github.com/cheusov/herisvm/tags .*/v?(\d\S+)\.tar\.gz
